| ontoisobsolete

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Report whether an ontology term id is obsolete

## Description

ontoisobsolete tests and ontology term retrieved by a query and returns "Obsolete" if the term is obsoleted in the ontology.

Ontologies from the EMBOSS data directory are used.

## Usage

Here is a sample session with ontoisobsolete

    % ontoisobsolete edam:0195
    Report whether an ontology term id is obsolete
    Output file [stdout]:

    Obsolete

Go to the input files for this example

Example 2

    % ontoisobsolete edam:0575
    Report whether an ontology term id is obsolete
    Output file [stdout]:

    EDAM_operation:0575 OK

Go to the input files for this example

## Command line arguments

    Report whether an ontology term id is obsolete
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-oboterms]          obo        Obo term filename and optional format, or
                                      reference (input query)
      [-outfile]           outfile    [stdout] Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-oboterms" associated qualifiers
       -iformat1           string     Input obo format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -idbname1           string     User-provided database name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-oboterms] (Parameter 1) | obo | Obo term filename and optional format, or reference (input query) | OBO bio-ontology term(s) |
[-outfile] (Parameter 2) | outfile | Output file name | Output file | stdout
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-oboterms" associated obo qualifiers
-iformat1 -iformat_oboterms | string | Input obo format | Any string |
-iquery1 -iquery_oboterms | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_oboterms | integer | Input start position offset | Any integer value | 0
-idbname1 -idbname_oboterms | string | User-provided database name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

### Input files for usage example

### Database entry: edam:0195

    [Term]
    id: EDAM_topic:0195
    name: Virtual PCR
    namespace: topic
    def: Topic concerning simulated polymerase chain reaction (PCR).
    subset: topics
    synonym: "PCR" EXACT [http://edamontology.org]
    synonym: "Polymerase chain reaction" EXACT [http://edamontology.org]
    is_obsolete: true ! {since=beta13}
    consider: EDAM_topic:0077 ! Nucleic acid analysis

### Input files for usage example 2

### Database entry: edam:0575

    [Term]
    id: EDAM_operation:0575
    name: Restriction map rendering
    namespace: operation
    def: Visualise restriction maps in DNA sequences.
    subset: operations
    is_a: EDAM_operation:0573 ! Map rendering
    is_a: EDAM_operation:0431 ! Restriction site recognition
    relationship: has_output EDAM_data:1289 ! Restriction map

## Output file format

A single line per term is is given, including the term id, namespace and name, and whether it is obsolete or not.

## Data files

OBO-format ontologies must be installed in the EMBOSS data directory and indexed. This is done automatically for typical installations.

## Notes

## References

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
godef | Find GO ontology terms by definition
goname | Find GO ontology terms by name
ontocount | Count ontology term(s)
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontotext | Get ontology term(s) original full text

## Author(s)

Jon Ison
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None